Mailinglist Archive: opensuse (729 mails)

< Previous Next >
[opensuse] Re: libKF5WindowSystem5 devel package?
On Mon, 1 Jun 2015 17:34, blue hut wrote:

Hello Yamban,

On 06/01/2015 05:23 PM, Yamaban wrote:

As far as I know, LXQt is a derivate of LXDE, and as such does not use any
KDE5 / KF5 components at all.

So, I'd say something got bork-ed here. Either in one of the qt5-devel
packages, or in the lxqt-devel packages
is a wrong Require or Buildrequire that leads to this try to find
a KF5 / Plasma5 component.

LXQt makes heavy use of KF5, actually they try to replace all things with KF5 stuff that they can. For them KF5 is a nice way to get a lot of functionallity without having to include heavy KDE stuff.

So this is intended.

But to compile the program myself (lxqt-config) I need a devel package for libKF5WindowSystem5, it seems.

Like I said, I found most of the devel packages already. But this one I do not find. Isn't there one? Shouldn't there be one?

That "libKF5WindowSystem5" is in the "Buildrequires: kwindow...." I named in the last mail.

IMHO KF5 brings to much bloat, and defeats the "Low requirements" goal of
LXQt right from the start.

Yeah, you can build a Formula 1 car, but to start with a Mack truck
chassis is not wise.

Well, looks like XFCE will be the next DE for me if the LXQt goes that
direction, sad and a shame, but that is my personal opinion.

- Yamaban.
--

--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups